Link accounts

This request links multiple accounts together.

   Click here to learn more about this request

Line of credit accounts can be linked together and linked to loans. Note the following when using this request:

This request is sent through a specific endpoint. There are no path parameters, and all information for the linked accounts is listed within the payload.

When linking a line of credit to a loan, determine how the values between the accounts are affected using the following fields:

"subtractBalance"

"loanSubtractBalanceType"

"lineOfCreditAddCreditLimit"

There is no limit to how many line of credit accounts and loans that can be linked to main line of credit account in this request.

For an example of how account links work within the UI, take a look at our Account Linking article.

Database

For information regarding linked line of credit account database tables, see the following articles:

Database – Line of Credit Account Linking Archive (line_of_credit_account_linking_archive_entity)

Database – Line of Credit Account (line_of_credit_entity)

Database - Loan Table (loan_entity)

{
    "mainEntityType": "Entity.LineOfCredit",
    "mainEntityId": 103,
    "linkedEntityType": "Entity.Loan",
    "linkedEntityId": 9301,
    "subtractBalance": 1,
    "loanSubtractBalanceType": "lineOfCredit.subtractBalanceType.principal",
    "lineOfCreditAddCreditLimit": 1,
    "isPrimary": 0,
    "bucketId": 3
}
{
    "mainEntityId": 1243,
    "mainEntityType": "Entity.LineOfCredit",
    "linkedEntityId": 54332,
    "linkedEntityType": "Entity.LineOfCredit",
    "subtractBalance": 1,
    "loanSubtractBalanceType": "lineOfCredit.subtractBalanceType.principal",
    "lineOfCreditAddCreditLimit": 1
}
Body Params
string
enum
required
Defaults to Entity.LineOfCredit

This field represents type of the main entity in the linked relationship.
> The value in this field will always be Entity.LineOfCredit.

Allowed:
int32
required

This is the ID of the main entity. In this instance, this will be the ID of the line of credit account.

string
enum
required
Defaults to Entity.Loan

This field represents the type of the linked entity in the relationship.
> This field can represent either a loan or another line of credit account.

Allowed:
int32
required

This is the ID of the linked entity.

int32
Defaults to 1

This determines whether the balance of the linked entity will subtract from the main entity's available credit limit. In other words, this field determines if the linked loan or line of credit balance will reduce the main line of credit's credit limit.
> Required when linking a line of credit to a loan account.
> 1 - yes, 0 - no

string
enum
Defaults to lineOfCredit.subtractBalanceType.principal

This determines the calculation type that's used to reduce the main line of credit account's credit limit.
> This field references the subtractBalance field.
> Required when linking a line of credit to a loan account.

Allowed:
int32
Defaults to 1

This determines if the linked entity's entire credit limit should be added to the main entity's.
> This only applies if the two linked accounts are BOTH line of credit accounts.

int32

This determines if the linked entity is associated solely with the main entity's primary Bucket.
> This field is optional.
> 1 - yes, 0 - no

int32

This determines if the linked entity is associated solely with a specific bucket in the main entity's account.
> This field is required if isPrimaryis set to 0.
> To associate the linked entity to only a specific bucket, list the ID of that bucket in this field.
> This field is optional.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json